wifi8 2.0.0.0

Data Fields
wifi8_auth_psk_t Struct Reference

`#include <wifi8_types.h>`

## Data Fields
uint8_t * | pu8_psk
uint8_t * | pu8_passphrase
uint8_t | u8_passphrase_len

## Field Documentation

## ◆ pu8_passphrase

uint8_t* pu8_passphrase

pointer to passphrase (printable ascii). must be null if psk is provided instead.

## ◆ pu8_psk

uint8_t* pu8_psk

pointer to psk, represented as an ascii string (64 characters, representing 32 bytes). must be null if passphrase is provided instead.

## ◆ u8_passphrase_len

uint8_t u8_passphrase_len

length of passphrase. permitted values are between 8 and 63. this field is ignored if pu8_passphrase == null.

The documentation for this struct was generated from the following file:

- D:/GIT/click_repository/cmake/wifi8/lib_wifi8/include/wifi8_types.h